`timescale 1ns / 10ps
module top(
    input       sysclk,
    input [1:0] sw,
    output      led4_b,
    output      led4_g,
    output      led4_r,
    output      led5_b,
    output      led5_g,
    output      led5_r
);

    wire n_rst, n_rst0, n_rst1, rst0, rst1;
    wire lightR0, lightR1, lightG0, lightG1, lightB0, lightB1;

    wire [31:0] div_clk;

    wire [7:0] phase0, phase1_r, phase1_g , phase1_b;
    wire [7:0] duty0, duty1r, duty1g , duty1b;
    wire phase_trig0, phase_trig1r, phase_trig1g, phase_trig1b;
    wire duty_trig0, duty_trig1r, duty_trig1g, duty_trig1b;

    //  The negative trigger  reset
    assign n_rst  = sw[0] | sw[1];
    assign n_rst0 = sw[0];
    assign n_rst1 = sw[1];

    assign rst0   = !n_rst0;
    assign rst1   = !n_rst1;

    // Write your code here


endmodule
